
From: Jens Axboe <axboe@suse.de>

2.6 imposes a 64 frame limit where 2.4 does not (just relies on kmalloc()
failing and limiting frames from that).  That breaks at least on guys app. 
With MSF adressing, it's much simpler to be able to ask for a full second
at the time, so I think we should just allow that.  So bump the limit from
64 to CD_FRAMES (which is 75).



---

 drivers/cdrom/cdrom.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/cdrom/cdrom.c~CDROMREADAUDIO-frames-fix drivers/cdrom/cdrom.c
--- 25/drivers/cdrom/cdrom.c~CDROMREADAUDIO-frames-fix	2004-02-02 00:37:33.000000000 -0800
+++ 25-akpm/drivers/cdrom/cdrom.c	2004-02-02 00:37:33.000000000 -0800
@@ -2294,7 +2294,7 @@ static int mmc_ioctl(struct cdrom_device
 			return -EINVAL;
 
 		/* FIXME: we need upper bound checking, too!! */
-		if (lba < 0 || ra.nframes <= 0 || ra.nframes > 64)
+		if (lba < 0 || ra.nframes <= 0 || ra.nframes > CD_FRAMES)
 			return -EINVAL;
 
 		/*

_
